Bug 1162601 - CVE-2014-8502 cross-binutils: binutils: heap overflow in objdump [fedora-all]
Summary: CVE-2014-8502 cross-binutils: binutils: heap overflow in objdump [fedora-all]
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cross-binutils
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Howells
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-8502
TreeView+ depends on / blocked
 
Reported: 2014-11-11 11:24 UTC by Vasyl Kaigorodov
Modified: 2015-03-24 18:52 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-24 18:52:53 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-11 11:24:38 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2014-11-11 11:24:43 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1162594,1162601

# Description of your update
notes=Security fix for CVE-2014-8502

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1162594,1162601

Comment 2 Fedora Update System 2015-01-08 19:21:49 UTC
cross-binutils-2.25-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cross-binutils-2.25-3.fc20

Comment 3 Fedora Update System 2015-01-21 23:05:52 UTC
cross-binutils-2.25-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.